#
# spec file for package kdebase4-runtime (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdebase4-runtime
BuildRequires:  NetworkManager-devel bluez-devel libkde4-devel libqimageblitz-devel openslp-devel
BuildRequires:  OpenEXR-devel libsmbclient-devel libsoprano-devel libxklavier-devel xine-devel
%if %suse_version > 1020
BuildRequires:  fdupes libusb-devel
%else
BuildRequires:  libusb
%endif
BuildRequires:  libknotificationitem-devel
BuildRequires:  soprano-backend-redland
%if %suse_version > 1030
BuildRequires:  libpulse-devel
%else
BuildRequires:  pulseaudio-devel
%endif
BuildRequires:  libssh-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        The KDE Runtime Components
Url:            http://www.kde.org/
Version:        4.3.5
Release:        0.1.2
Source0:        kdebase-runtime-%version.tar.bz2
Source1:        kde4-essential.menu
Source2:        kde-settings.menu
Source3:        kde-settings.directory
Patch0:         4_3_BRANCH.diff
Patch2:         phonon-wakeups.diff
Patch3:         hotplug-kde3.diff
Patch4:         kde4-wrapper.diff
Patch5:         kdesu-remember-keep-password.diff
Patch7:         simple-ccsm-kde.diff
Patch8:         knetattach-show.diff
Patch9:         kio_sftp_rewrite.patch
Patch10:        khelpcenter-gnome-support.patch
Patch11:        khelpcenter-use-susehelp.patch
Patch12:        oxygen-no-dynamic-cast-bnc529640.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       oxygen-icon-theme >= %version
Requires:       libqt4-x11 >= %( echo `rpm -q --queryformat '%{VERSION}' libqt4-x11`)
Requires:       kdelibs4 >= %version
Requires:       phonon dbus-1-x11
Recommends:     kdialog
Provides:       suse_help_viewer
Recommends:     ispell, enscript
%define debug_package_requires %name = %version-%release kdelibs4-debuginfo
Obsoletes:      kdebase3 <= 3.5.1
%if %suse_version == 1110
Requires:       %name-branding = 11.1
%endif
%if %suse_version > 1110
Requires:       %name-branding = 11.2
%endif
Provides:       plasma-theme-air = 4.2.90
Obsoletes:      plasma-theme-air <= 4.2.90
# 4.1.x packages had too strict kdebase4-runtime requirement
Provides:       kdebase4-runtime = 4.1.10

%description
This package contains all run-time dependencies of KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package branding-upstream
Summary:        The KDE Runtime Components
License:        GPLv2+
Group:          System/GUI/KDE
%if %suse_version > 1030
#BRAND: FIXME
%if %suse_version == 1110
Provides:       %{name}-branding = 11.1
%endif
%if %suse_version > 1110
Provides:       %{name}-branding = 11.2
%endif
Conflicts:      otherproviders(%{name}-branding)
Supplements:    packageand(kdebase4-runtime:branding-upstream)
%endif

%description branding-upstream
This package contains all run-time dependencies of KDE applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%if %{kde_sle}

%package xine
Summary:        The KDE Runtime Components
License:        GPLv2+
Group:          System/GUI/KDE
Supplements:    packageand(kdebase4-runtime:phonon-backend-xine)

%description xine
This package contains run-time dependencies of KDE applications
when using the Xine Phonon backend.



Authors:
--------
    The KDE Team <kde@kde.org>
%endif

%prep
%setup -q -n kdebase-runtime-%version
%patch0
# causes crashes, disabled for now
#%patch2
%patch3
%patch4
%patch5
%patch7
%patch8
%patch9 -p1
%patch10
%patch11
%patch12

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  rm -rf $RPM_BUILD_ROOT/usr/share/icons/hicolor/index.theme
  rm -rf $RPM_BUILD_ROOT/usr/share/icons/oxygen
  rm -rf $RPM_BUILD_ROOT/usr/share/wallpapers
  mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus
  mv $RPM_BUILD_ROOT/usr/etc/xdg/menus/kde-information.menu $RPM_BUILD_ROOT/etc/xdg/menus/kde4-information.menu
  mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged
  install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/kde4-essential.menu
  install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/xdg/menus/kde4-settings.menu
  install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/desktop-directories/
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/man/man1
  mv $RPM_BUILD_ROOT/usr/share/man/man1/kdesu.1 $RPM_BUILD_ROOT/usr/share/kde4/man/man1/
  mkdir -p $RPM_BUILD_ROOT/usr/bin
  ln -s %_libdir/kde4/libexec/kdesu $RPM_BUILD_ROOT/usr/bin/kdesu
  rm -rf $RPM_BUILD_ROOT/usr/include/KDE
  # do something with kdesu.1.gz here?
  %suse_update_desktop_file -r knetattach    System Network
  %suse_update_desktop_file Help             Documentation Viewer
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%verifyscript
%verify_permissions -e /usr/bin/kcheckpass
%verify_permissions -e /usr/bin/kdesud

%clean
  rm -rf $RPM_BUILD_ROOT

%files branding-upstream
%defattr(-,root,root)
%doc COPYING
%_kde4_appsdir/desktoptheme/default/widgets/branding.svgz
%if %{kde_sle}

%files xine
%defattr(-,root,root)
%_kde4_modulesdir/kcm_phononxine.so
%_kde4_servicesdir/kcm_phononxine.desktop
%endif

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%config %_kde_config_dir/khotnewstuff.knsrc
%config %_kde_config_dir/kshorturifilterrc
%dir %_kde4_sysconfdir/xdg/menus/applications-merged
%dir %_kde4_appsdir/kde
%dir %_kde4_appsdir/konqueror
%dir %_kde4_appsdir/konqueror/dirtree
%dir %_kde4_appsdir/konqueror/dirtree/remote
%dir %_kde4_appsdir/kstyle
%dir %_kde4_appsdir/kstyle/themes
%dir %_kde4_appsdir/nepomukstrigiservice
%dir %_kde4_modulesdir/plugins/styles
%dir %_kde4_libdir/strigi
%doc %lang(en) %_kde4_htmldir/en/kcontrol
%doc %lang(en) %_kde4_htmldir/en/kdebugdialog
%doc %lang(en) %_kde4_htmldir/en/kdesu
%doc %lang(en) %_kde4_htmldir/en/khelpcenter
%doc %lang(en) %_kde4_htmldir/en/kioslave
%doc %lang(en) %_kde4_htmldir/en/knetattach
%doc %lang(en) %_kde4_htmldir/en/network
%_kde4_sysconfdir/xdg/menus/applications-merged/kde4-essential.menu
%_kde4_sysconfdir/xdg/menus/kde4-information.menu
%_kde4_sysconfdir/xdg/menus/kde4-settings.menu
%_kde4_modulesdir/cursorthumbnail.so
%_kde4_modulesdir/djvuthumbnail.so
%_kde4_modulesdir/exrthumbnail.so
%_kde4_modulesdir/fixhosturifilter.so
%_kde4_modulesdir/htmlthumbnail.so
%_kde4_modulesdir/imagethumbnail.so
%_kde4_modulesdir/jpegthumbnail.so
%_kde4_modulesdir/kcm_cgi.so
%_kde4_modulesdir/kcm_componentchooser.so
%_kde4_modulesdir/kcm_emoticons.so
%_kde4_modulesdir/kcm_filetypes.so
%_kde4_modulesdir/kcm_icons.so
%_kde4_modulesdir/kcm_kded.so
%_kde4_modulesdir/kcm_kdnssd.so
%_kde4_modulesdir/kcm_knotify.so
%_kde4_modulesdir/kcm_locale.so
%_kde4_modulesdir/kcm_nepomuk.so
%_kde4_modulesdir/kcm_phonon.so
%_kde4_modulesdir/kcmspellchecking.so
%_kde4_modulesdir/kcm_trash.so
%_kde4_modulesdir/kded_desktopnotifier.so
%_kde4_modulesdir/kded_kpasswdserver.so
%_kde4_modulesdir/kded_ktimezoned.so
%_kde4_modulesdir/kded_phononserver.so
%_kde4_modulesdir/kded_remotedirnotify.so
%_kde4_modulesdir/kded_solidautoeject.so
%_kde4_modulesdir/kded_soliduiserver.so
%_kde4_modulesdir/kio_about.so
%_kde4_modulesdir/kio_applications.so
%_kde4_modulesdir/kio_archive.so
%_kde4_modulesdir/kio_bookmarks.so
%_kde4_modulesdir/kio_cgi.so
%_kde4_modulesdir/kio_desktop.so
%_kde4_modulesdir/kio_filter.so
%_kde4_modulesdir/kio_finger.so
%_kde4_modulesdir/kio_fish.so
%_kde4_modulesdir/kio_floppy.so
%_kde4_modulesdir/kio_info.so
%_kde4_modulesdir/kio_man.so
%_kde4_modulesdir/kio_nepomuksearch.so
%_kde4_modulesdir/kio_nfs.so
%_kde4_modulesdir/kio_remote.so
%_kde4_modulesdir/kio_settings.so
%if ! %{kde_sle}
%_kde4_modulesdir/kio_sftp.so
%endif
%_kde4_modulesdir/kio_smb.so
%_kde4_modulesdir/kio_thumbnail.so
%_kde4_modulesdir/kio_trash.so
%_kde4_modulesdir/kio_network.so
%_kde4_modulesdir/kded_networkwatcher.so
%_kde4_modulesdir/kshorturifilter.so
%_kde4_modulesdir/kstyle_oxygen_config.so
%_kde4_modulesdir/kuriikwsfilter.so
%_kde4_modulesdir/kurisearchfilter.so
%_kde4_modulesdir/libexec/drkonqi
%_kde4_modulesdir/libexec/kdeeject
%_kde4_modulesdir/libexec/kdesu
%_kde4_modulesdir/libexec/khc_docbookdig.pl
%_kde4_modulesdir/libexec/khc_htdig.pl
%_kde4_modulesdir/libexec/khc_htsearch.pl
%_kde4_modulesdir/libexec/khc_indexbuilder
%_kde4_modulesdir/libexec/khc_mansearch.pl
%_kde4_modulesdir/libexec/kioexec
%_kde4_modulesdir/libexec/klocaldomainurifilterhelper
%_kde4_modulesdir/libexec/knetattach
%_kde4_modulesdir/libkmanpart.so
%_kde4_modulesdir/librenaudioplugin.so
%_kde4_modulesdir/librenimageplugin.so
%_kde4_modulesdir/localdomainurifilter.so
%_kde4_modulesdir/nepomukfilewatch.so
%_kde4_modulesdir/nepomukmigration1.so
%_kde4_modulesdir/nepomukontologyloader.so
%_kde4_modulesdir/nepomukqueryservice.so
%_kde4_modulesdir/nepomukstorage.so
%_kde4_modulesdir/nepomukstrigiservice.so
%_kde4_modulesdir/plugins/phonon_platform
%_kde4_modulesdir/plugins/styles/oxygen.so
%_kde4_modulesdir/svgthumbnail.so
%_kde4_modulesdir/textthumbnail.so
%_kde_config_dir/emoticons.knsrc
%_kde_config_dir/icons.knsrc
%_kde4_appsdir/cmake
%exclude %_kde4_appsdir/desktoptheme/default/widgets/branding.svgz
%_kde4_appsdir/desktoptheme
%_kde4_appsdir/drkonqi
%_kde4_appsdir/kcm_componentchooser
%_kde4_appsdir/kcmlocale
%_kde4_appsdir/kcm_phonon
%_kde4_appsdir/kconf_update/devicepreference.upd
%_kde4_appsdir/kconf_update/kuriikwsfilter.upd
%_kde4_appsdir/kde/kde.notifyrc
%_kde4_appsdir/khelpcenter
%_kde4_appsdir/kio_bookmarks
%_kde4_appsdir/kio_desktop
%_kde4_appsdir/kio_docfilter
%_kde4_appsdir/kio_finger
%_kde4_appsdir/kio_info
%_kde4_appsdir/kio_thumbnail
%_kde4_appsdir/konqueror/dirtree/remote/smb-network.desktop
%_kde4_appsdir/ksmserver
%_kde4_appsdir/kstyle/themes/*.themerc
%_kde4_appsdir/kwalletd
%_kde4_appsdir/libphonon
%_kde4_appsdir/nepomuk/ontologies
%_kde4_appsdir/nepomukstorage
%_kde4_appsdir/nepomukstrigiservice/nepomukstrigiservice.notifyrc
%_kde4_appsdir/phonon
%_kde4_appsdir/remoteview
%_kde4_appsdir/konqsidebartng
%_kde_share_dir/config.kcfg/khelpcenter.kcfg
%_kde_share_dir/man
%_kde4_servicesdir/about.protocol
%_kde4_servicesdir/applications.protocol
%_kde4_servicesdir/ar.protocol
%_kde4_servicesdir/bookmarks.protocol
%_kde4_servicesdir/bzip2.protocol
%_kde4_servicesdir/bzip.protocol
%_kde4_servicesdir/cgi.protocol
%_kde4_servicesdir/componentchooser.desktop
%_kde4_servicesdir/cursorthumbnail.desktop
%_kde4_servicesdir/desktop.protocol
%_kde4_servicesdir/directorythumbnail.desktop
%_kde4_servicesdir/djvuthumbnail.desktop
%_kde4_servicesdir/emoticons.desktop
%_kde4_servicesdir/exrthumbnail.desktop
%_kde4_servicesdir/filetypes.desktop
%_kde4_servicesdir/finger.protocol
%_kde4_servicesdir/fish.protocol
%_kde4_servicesdir/fixhosturifilter.desktop
%_kde4_servicesdir/floppy.protocol
%_kde4_servicesdir/gzip.protocol
%_kde4_servicesdir/htmlthumbnail.desktop
%_kde4_servicesdir/icons.desktop
%_kde4_servicesdir/imagethumbnail.desktop
%_kde4_servicesdir/info.protocol
%_kde4_servicesdir/jpegthumbnail.desktop
%_kde4_servicesdir/kcmcgi.desktop
%_kde4_servicesdir/kcmkded.desktop
%_kde4_servicesdir/kcm_kdnssd.desktop
%_kde4_servicesdir/kcm_nepomuk.desktop
%_kde4_servicesdir/kcmnotify.desktop
%_kde4_servicesdir/kcm_phonon.desktop
%_kde4_servicesdir/kcmtrash.desktop
%_kde4_servicesdir/kded/desktopnotifier.desktop
%_kde4_servicesdir/kded/kpasswdserver.desktop
%_kde4_servicesdir/kded/ktimezoned.desktop
%_kde4_servicesdir/kded/phononserver.desktop
%_kde4_servicesdir/kded/remotedirnotify.desktop
%_kde4_servicesdir/kded/solidautoeject.desktop
%_kde4_servicesdir/kded/soliduiserver.desktop
%_kde4_servicesdir/kded/networkwatcher.desktop
%_kde4_servicesdir/kglobalaccel.desktop
%_kde4_servicesdir/khelpcenter.desktop
%_kde4_servicesdir/kmanpart.desktop
%_kde4_servicesdir/knotify4.desktop
%_kde4_servicesdir/kshorturifilter.desktop
%_kde4_servicesdir/kuiserver.desktop
%_kde4_servicesdir/kuriikwsfilter.desktop
%_kde4_servicesdir/kurisearchfilter.desktop
%_kde4_servicesdir/kwalletd.desktop
%_kde4_servicesdir/language.desktop
%_kde4_servicesdir/localdomainurifilter.desktop
%_kde4_servicesdir/man.protocol
%_kde4_servicesdir/nepomukfilewatch.desktop
%_kde4_servicesdir/nepomukmigration1.desktop
%_kde4_servicesdir/nepomukontologyloader.desktop
%_kde4_servicesdir/nepomukqueryservice.desktop
%_kde4_servicesdir/nepomuksearch.protocol
%_kde4_servicesdir/nepomukstorage.desktop
%_kde4_servicesdir/nepomukstrigiservice.desktop
%_kde4_servicesdir/nfs.protocol
%_kde4_servicesdir/programs.protocol
%_kde4_servicesdir/remote.protocol
%_kde4_servicesdir/renaudiodlg.desktop
%_kde4_servicesdir/renimagedlg.desktop
%_kde4_servicesdir/searchproviders
%_kde4_servicesdir/settings.protocol
%if ! %{kde_sle}
%_kde4_servicesdir/sftp.protocol
%endif
%_kde4_servicesdir/smb.protocol
%_kde4_servicesdir/spellchecking.desktop
%_kde4_servicesdir/svgthumbnail.desktop
%_kde4_servicesdir/tar.protocol
%_kde4_servicesdir/textthumbnail.desktop
%_kde4_servicesdir/thumbnail.protocol
%_kde4_servicesdir/trash.protocol
%_kde4_servicesdir/zip.protocol
%_kde4_servicesdir/network.protocol
%_kde4_servicetypesdir/nepomukservice.desktop
%_kde4_servicetypesdir/phononbackend.desktop
%_kde4_servicetypesdir/searchprovider.desktop
%_kde4_servicetypesdir/thumbcreator.desktop
%_kde4_libdir/kconf_update_bin/phonon_devicepreference_update
%_kde4_libdir/kconf_update_bin/phonon_deviceuids_update
%_kde4_libdir/libkdeinit4_kcmshell4.so
%_kde4_libdir/libkdeinit4_kglobalaccel.so
%_kde4_libdir/libkdeinit4_khelpcenter.so
%_kde4_libdir/libkdeinit4_kuiserver.so
%_kde4_libdir/libkdeinit4_kwalletd.so
%_kde4_libdir/libkdeinit4_nepomukserver.so
%_kde4_libdir/libkwalletbackend.so
%_kde4_libdir/libkwalletbackend.so.*
%_kde4_libdir/strigi/strigiindex_sopranobackend.so
%_kde4_libdir/libmolletnetwork.so
%_kde4_libdir/libmolletnetwork.so.*
%_kde4_bindir/kcmshell4
%_kde4_bindir/kde4
%_kde4_bindir/kde4-menu
%_kde4_bindir/kdebugdialog
%_kde4_bindir/kde-cp
%_kde4_bindir/kde-mv
%_kde4_bindir/kde-open
%_kde4_bindir/kdesu
%_kde4_bindir/keditfiletype
%_kde4_bindir/kfile4
%_kde4_bindir/kglobalaccel
%_kde4_bindir/khelpcenter
%_kde4_bindir/khotnewstuff4
%_kde4_bindir/kiconfinder
%_kde4_bindir/kioclient
%_kde4_bindir/kmimetypefinder
%_kde4_bindir/knotify4
%_kde4_bindir/kquitapp
%_kde4_bindir/kreadconfig
%_kde4_bindir/kstart
%_kde4_bindir/ksvgtopng
%_kde4_bindir/ktraderclient
%_kde4_bindir/ktrash
%_kde4_bindir/kuiserver
%_kde4_bindir/kwalletd
%_kde4_bindir/kwriteconfig
%_kde4_bindir/nepomukserver
%_kde4_bindir/nepomukservicestub
%_kde4_bindir/solid-hardware
%_kde4_applicationsdir/Help.desktop
%_kde4_applicationsdir/knetattach.desktop
/usr/share/autostart/nepomukserver.desktop
/usr/share/dbus-1/interfaces/org.kde.khelpcenter.kcmhelpcenter.xml
/usr/share/dbus-1/interfaces/org.kde.KTimeZoned.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.OntologyManager.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.QueryService.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.Query.xml
/usr/share/dbus-1/interfaces/org.kde.NepomukServer.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.ServiceControl.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.ServiceManager.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.Storage.xml
/usr/share/dbus-1/interfaces/org.kde.nepomuk.Strigi.xml
/usr/share/dbus-1/interfaces/org.kde.network.kioslavenotifier.xml
/usr/share/dbus-1/services/org.kde.knotify.service
/usr/share/desktop-directories
/usr/share/emoticons
%_kde4_iconsdir/default.kde4
%_kde4_iconsdir/hicolor/*/apps/knetattach.*
%if %suse_version > 1100
%exclude %dir /usr/share/locale/en_US
%endif
/usr/share/locale/*
/usr/share/locale/en_US/entry.desktop
/usr/share/sounds/*.ogg
%_kde4_servicesdir/desktopthumbnail.desktop
%_kde4_mandir/man8/nepomukserver.8.gz
%_kde4_mandir/man8/nepomukservicestub.8.gz
/usr/share/mime/packages/network.xml
%verify(not mode) %attr(2755,root,nogroup) /usr/%_lib/kde4/libexec/kdesud
%_kde4_bindir/plasmapkg
%_kde4_modulesdir/plasma_appletscript_simple_javascript.so
%_kde4_modulesdir/plasma_runnerscript_javascript.so
%_kde4_servicesdir/plasma-scriptengine-applet-simple-javascript.desktop
%_kde4_servicesdir/plasma-scriptengine-runner-javascript.desktop
%if ! %{kde_sle}
%_kde4_modulesdir/kcm_phononxine.so
%_kde4_servicesdir/kcm_phononxine.desktop
%endif

%changelog
* Mon Jan 25 2010 llunak@novell.com
- update 4_3_BRANCH.diff:
  * do not scan whole desktop directory on login (kde#210463)
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Mon Dec  7 2009 llunak@novell.com
- add explicit kdebase4-runtime provides with version 4.1.10,
  for KDE4.1.x packages that had too strict requirement there
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Tue Dec  1 2009 llunak@novell.com
- split out xine subpackage for SLE (bnc#558334)
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Tue Nov  3 2009 beineri@opensuse.org
- fix missing background in upstream Plasma theming (bnc#552068)
* Tue Oct 13 2009 llunak@novell.com
- avoid invisible texts in OOo KDE4 file dialogs (bnc#529640)
* Tue Oct  6 2009 wstephenson@novell.com
- port support for displaying GNOME docs in khelpcenter from KDE 3
- port use of susehelp from KDE 3
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff
  * updated translations and drkonqi mappings
  * fix cases of "Empty Trash" not being active (kde#167388)
* Tue Sep 22 2009 tittiatcoke@gmail.com
- Fixed for kio_sftp
  * Fixed public key authentication. (kde#207855)
  * Fixed typo in function name.
  * fix i18n() usage
  * Fix calls to error() when called with a QByteArray (it takes a QString)
  * Added support for files bigger than 2 GB. (kde#165150)
* Wed Sep  9 2009 tittiatcoke@gmail.com
- Fixes for kio_sftp
  * Fixed decoding of the canonicalized path.
  * Fixed decoding for the UDS entry link destination.
  * Fixed sftp relative path canonicalization.
  * Fixed createUDSEntry to handle symlinks correctly.
* Mon Sep  7 2009 tittiatcoke@gmail.com
- Update to latest kio_sftp patch. a described in bug (kde#205014) the
  current version does not show symlinks. This update should resolve
  this
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Thu Aug 20 2009 tittiatcoke@gmail.com
- Updated kio_sftp patch to ensure that closeConnection is
  called after ssh_get_error otherwise ssh_session would be
  invalid
* Mon Aug 17 2009 tittiatcoke@gmail.com
- Updated kio_sftp patch to latest version
  as committed upstream to KDE4.4
* Sat Aug 15 2009 beineri@opensuse.org
- update branch diff:
  * unbreak fish:/ protocol (bnc#512051, kde#189235)
  * kio thumbnail fixes: respect max. file and cache sizes
  * misc nepomuk fixes
* Sun Aug  9 2009 tittiatcoke@gmail.com
- add patch for kio_sftp based on
    http://reviewboard.kde.org/r/1226/
    kio_sftp is now based on libssh
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Fri Jul 24 2009 beineri@opensuse.org
- desktoptheme/default/widgets/background.svgz -> branding-upstream
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 26 2009 llunak@suse.cz
- add Recommends for kde4-kdialog, kdeui uses it for editing
  toolbars (bnc#490559)
* Fri May 15 2009 coolo@suse.de
- unexclude locale/en_US (bnc#504271)
* Fri May 15 2009 beineri@opensuse.org
- update to 4.2.85 (KDE 4.3 Beta1)
* Tue May 12 2009 dmueller@suse.de
- fix dependencies in oxygen-icon-theme to be versioned
* Sat May  2 2009 beineri@opensuse.org
- introduce kdebase4-runtime-branding-upstream sub-package
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Wed Apr  8 2009 llunak@suse.cz
- add dbus-1-x11 to requires, for dbus-launch (bnc#490319)
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update 4_2_BRANCH.diff - mainly translations
* Thu Feb 26 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Wed Jan 28 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 stbinner@suse.de
- update to 4.1.96 (KDE 4.2 RC1)
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Mon Dec 15 2008 dmueller@suse.de
- remove kdebase3 provide (bnc#458318)
* Tue Dec  2 2008 stbinner@suse.de
- don't show KNetAttach menu entry on KDE3 desktop
* Wed Nov 26 2008 dmueller@suse.de
- automatically install phonon-backend-xine if xine with
  codec support is available
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Mon Nov  3 2008 stbinner@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Wed Oct 22 2008 stbinner@suse.de
- debug_package_requires depend also on %%release
* Tue Oct 21 2008 stbinner@suse.de
- branch diff update: fixes kde#172197 and kde#160070
* Fri Oct 17 2008 stbinner@suse.de
- fix empty settings menu appearing in menu (bnc#432328)
* Thu Oct  9 2008 wstephenson@suse.de
- Fix wrong icon for application/msword icons (bnc#433839)
* Sun Sep 28 2008 stbinner@suse.de
- fix kdebase4-runtime-debuginfo requirements (bnc#430481)
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Sat Sep 13 2008 stbinner@suse.de
- use simple-ccsm-kde instead of simple-ccsm
* Tue Sep  2 2008 llunak@suse.cz
- update the control module for window manager switching
* Wed Aug 20 2008 llunak@suse.cz
- move WM selection option to a better place in systemsettings
* Sat Aug 16 2008 stbinner@suse.de
- branch diff update
* Wed Aug 13 2008 coolo@suse.de
- exclude digikam icons to avoid file conflicts
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Fri Jul 25 2008 dmueller@suse.de
- update to 4.1.0
- fix phonon-backend version
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Wed Jul  9 2008 dmueller@suse.de
- update to 4.0.98
* Mon Jul  7 2008 dmueller@suse.de
- split-off phonon-backend-xine
* Mon Jul  7 2008 dmueller@suse.de
- update to 4.0.85
* Mon Jun 30 2008 dmueller@suse.de
- revert last change
* Mon Jun 30 2008 stbinner@suse.de
- fix file list
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Mon Jun 23 2008 dmueller@suse.de
- update to 4.0.83
* Sun Jun 22 2008 dmueller@suse.de
- update to 4.0.82
* Thu Jun  5 2008 stbinner@suse.de
- fix huge Documents and public_html icons are blurry (bnc#396176)
* Mon Jun  2 2008 dmueller@suse.de
- oxygen style fixes:
  * render focus on radio buttons
  * don't apply a grey gradient to a blank screensaver (bnc#392792)
* Fri May 23 2008 stbinner@suse.de
- fix entries under "Applications" without kdebase3 (bnc#381855)
* Tue May 20 2008 llunak@suse.cz
- do not always default to kdesu remembering password (bnc#386531)
* Mon May 19 2008 stbinner@suse.de
- fix missing icons for /etc/skel directories (bnc#381701)
* Wed May 14 2008 llunak@suse.cz
- make the kde4 wrapper prefer actually KDE4 applications
* Wed May 14 2008 llunak@suse.cz
- support for KDE3 hotplug actions (bnc#378338)
* Tue May 13 2008 dmueller@suse.de
- update branch diff:
  * fix ksmserver/knotify4 deadlock causing an excessive
  login delay
* Fri May  9 2008 dmueller@suse.de
- branch diff update
  * new translations
* Tue May  6 2008 dmueller@suse.de
- update to 4.0.4
  * http://kde.org/announcements/changelog_4_0_3to4_0_4.php
* Mon Apr 28 2008 dmueller@suse.de
- disable video decoding when not needed (bnc#373181)
* Mon Apr  7 2008 dmueller@suse.de
- add ispell recommends (bnc#204734)
* Mon Mar 31 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- update to the final 4.0.2 tarball
- update 4_0_BRANCH.diff
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Wed Feb 27 2008 dmueller@suse.de
- update 4_0_BRANCH.diff, also apply it for oxygen-icon-theme
* Fri Feb  8 2008 stbinner@suse.de
- provide suse_help_viewer
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Wed Jan 23 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sun Jan 20 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Fri Dec 14 2007 ro@suse.de
- added directory to filelist
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.96.3
* Sat Dec  1 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.1
* Thu Nov 15 2007 wstephenson@suse.de
- update to 3.96.0
* Mon Nov  5 2007 dmueller@suse.de
- fix permissions of kdesud
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Wed Oct 31 2007 dmueller@suse.de
- own konqueror/dirtree related directories
* Wed Oct 31 2007 dmueller@suse.de
- update to 3.95.0
* Thu Oct 18 2007 dmueller@suse.de
- update to 3.94.1
* Wed Oct 17 2007 ro@suse.de
- fix build: add directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720100
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717244
* Fri Sep 21 2007 stbinner@suse.de
- don't remove icons anymore after build check got fixed (#307017)
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712052
* Mon Sep 10 2007 dmueller@suse.de
- don't set $LANGUAGE in konsole (#305210)
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703920
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700775
* Wed Aug 15 2007 stbinner@suse.de
- fix more file conflicts
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697325
- fix file conflicts
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 19 2007 stbinner@suse.de
- don't show System Settings on non-KDE/KDE3 desktop
* Mon Jul 16 2007 stbinner@suse.de
- use the non generic lib version for libkonq
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672298
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679137
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Wed May 23 2007 stbinner@suse.de
- run %%fdupes
- fix prefix of two bins
* Wed May 16 2007 olh@suse.de
- Buildrequires libusb -> libusb-devel
* Tue May 15 2007 stbinner@suse.de
- show .desktop files of kdebase4-runtime only in a KDE session
* Sat May 12 2007 stbinner@suse.de
- libkdeinit -> libkdeinit4
* Thu May 10 2007 stbinner@suse.de
- fix package file conflicts
* Mon May  7 2007 stbinner@suse.de
- initial package in abuild
